Bug 500110 - [Indic][CodePoint]Press backspace key it delete the whole char and letter before it
[Indic][CodePoint]Press backspace key it delete the whole char and letter bef...
Status: NEW
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
24
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
: i18n
: 499775 499804 499806 500099 500100 500116 500117 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 03:44 EDT by koka xiong
Modified: 2016-05-30 02:10 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description koka xiong 2009-05-11 03:44:21 EDT
Description of problem:
In gedit press Backspace key to delete the whole char,it delete both the whole
char and the letter before it

Version-Release number of selected component (if applicable):
pango-devel-1.22.1-1.fc10.i386
pango-1.22.1-1.fc10.i386
pangomm-2.14.0-2.fc10.i386

How reproducible:
always

Steps to Reproduce:
1.In gedit input dabenा
2.Press Backspace key to delete the whole char ा
  
Actual results:
It delete the whole char and the letter n when pressing the Backspace key.

Expected results:
It should only delete the whole char.

Additional info:
   1. U+093E ा  
   2. U+093F ि 
   3. U+0940 ी 
   4. U+0941 ु 
   5. U+0942 ू 
   6. U+0943 ृ 
   7. U+0944 ॄ 
   8. U+0945 ॅ 
   9. U+0946 ॆ 
  10. U+0947 े 
  11. U+0948 ै 
  12. U+0949 ॉ 
  13. U+094B ो 
  14. U+094C ौ 
in Dependent Vowels all have the same problem
Comment 1 koka xiong 2009-05-11 06:20:51 EDT
[te_IN][Dependent Vowels] also the same problem
1. U+0C3F ి 
   2. U+0C40 ీ 
   3. U+0C41 ు 
   4. U+0C42 ూ 
   5. U+0C43 ృ 
   6. U+0C44 ౄ 
   7. U+0C46 ె 
   8. U+0C47 ే 
  9. U+0C48 ై 
  10. U+0C4A ొ 
  11. U+0C4B ో 
  12. U+0C4C ౌ
Comment 2 koka xiong 2009-05-11 06:23:15 EDT
*** Bug 499804 has been marked as a duplicate of this bug. ***
Comment 3 koka xiong 2009-05-11 06:25:51 EDT
[te_IN][Various Signs] also have the same problem.
   1.U+0C01  ఁ  
   2. U+0C02 ం 
   3. U+0C03 ః 
   4. U+0C4D ్ 
   5. U+0C55 ౕ 
   6. U+0C56 ౖ
Comment 4 koka xiong 2009-05-11 06:26:58 EDT
*** Bug 499806 has been marked as a duplicate of this bug. ***
Comment 5 koka xiong 2009-05-11 06:38:22 EDT
[hi_IN][Various Sign] also has the same problem
U+0901 ँ  
U+0902 ं 
U+0903 ः
U+093C ़ 
U+094D ्
Comment 6 koka xiong 2009-05-11 06:40:27 EDT
*** Bug 500116 has been marked as a duplicate of this bug. ***
Comment 7 koka xiong 2009-05-11 21:52:11 EDT
[hi_IN][Additional Vowels] also has the same problem
1 U+0962 ॢ  
2 U+0963 ॣ
Comment 8 koka xiong 2009-05-11 21:53:02 EDT
*** Bug 500117 has been marked as a duplicate of this bug. ***
Comment 9 koka xiong 2009-05-11 21:57:12 EDT
[or_IN][pango] has the same problem
   1. U+0B3E  ା 
   2. U+0B3F ି 
   3. U+0B40 ୀ 
   4. U+0B41 ୁ 
   5. U+0B42 ୂ 
   6. U+0B43 ୃ 
   7. U+0B47 େ 
   8. U+0B48 ୈ
   9. U+0B4B ୋ 
  10. U+0B4C ୌ 
  11. U+0B56 ୖ 
  12. U+0B57 ୗ 
  13. U+0B01  ଁ 
  14. U+0B02 ଂ
  15. U+0B03 ଃ 
  16. U+0B3C ଼ 
  17. U+0B4D ୍ 
  18. U+0B56 ୖ 
  19. U+0B57 ୗ
Comment 10 koka xiong 2009-05-11 21:58:12 EDT
*** Bug 499775 has been marked as a duplicate of this bug. ***
Comment 11 koka xiong 2009-05-11 22:00:36 EDT
[ml_IN][Various Sign]
1.U+0D02  ം
2.U+0D03  ഃ
3.U+0D4D  ് 
4.U+0D57  ൗ 
also has the same problem
Comment 12 koka xiong 2009-05-11 22:01:53 EDT
*** Bug 500100 has been marked as a duplicate of this bug. ***
Comment 13 koka xiong 2009-05-11 22:04:16 EDT
[ml_IN][Dependent Vowels]all have same problem
1 U+0D3E ാ 
2 U+0D3F ി 
3 U+0D40 ീ 
4 U+0D41 ു 
5 U+0D42 ൂ 
6 U+0D43 ൃ 
7 U+0D46 െ 
8 U+0D47 േ 
9 U+0D48 ൈ 
10 U+0D4A ൊ 
11 U+0D4B ോ 
12 U+0D4C ൌ
Comment 14 koka xiong 2009-05-11 22:06:38 EDT
*** Bug 500099 has been marked as a duplicate of this bug. ***
Comment 15 koka xiong 2009-05-12 01:07:08 EDT
[ta_IN][Dependent Vowels]
   1. U+0BBE ா  
   2. U+0BBF ி  
   3. U+0BC0 ீ  
   4. U+0BC1 ு  
   5. U+0BC2 ூ  
   6. U+0BC6 ெ  
   7. U+0BC7 ே  
   8. U+0BC8 ை  
   9. U+0BCA ொ  
  10. U+0BCB ோ  
  11. U+0BCC ௌ 
all have the same problem
Comment 16 koka xiong 2009-05-12 01:23:12 EDT
[ta_IN][Various Signs]
   1. U+0B82 ஂ  
   2. U+0B83 ஃ 
   3. U+0BCD ் 
   4. U+0BD7 ௗ 
all have the same problem
Comment 17 koka xiong 2009-05-12 02:42:15 EDT
[si_LK][Dependent Vowels]
Dependent Vowels
   1. U+0DCF ා 
   2. U+0DD0 ැ 
   3. U+0DD1 ෑ
   4. U+0DD2 ි 
   5. U+0DD3 ී 
   6. U+0DD4 ු 
   7. U+0DD6 ූ 
   8. U+0DD8 ෘ
   9. U+0DD9 ෙ 
  10. U+0DDA ේ 
  11. U+0DDB ෛ 
  12. U+0DDC ො 
  13. U+0DDD ෝ 
  14. U+0DDE ෞ 
  15. U+0DDF ෟ 
  16. U+0DF2 ෲ 
  17. U+0DF3 ෳ
Comment 18 koka xiong 2009-05-12 02:43:43 EDT
[si_LK][Various Signs]
   1. U+0D82 ං 
   2. U+0D83 ඃ 
   3. U+0DCA ් 
also have the same problem
Comment 19 koka xiong 2009-05-12 03:13:26 EDT
[bn_IN][Dependent Vowels] has the same problem
   1. U+09BE  া  
   2. U+09BF ি 
   3. U+09C0 ী 
   4. U+09C1 ু 
   5. U+09C2 ূ 
   6. U+09C3 ৃ 
   7. U+09C7 ে 
   8. U+09C8 ৈ 
   9. U+09CB ো 
  10. U+09CC ৌ
Comment 20 koka xiong 2009-05-12 03:16:38 EDT
[bn_IN][Consonants]
U+0982 ং  
U+0983 ঃ 
U+0981 ঁ 
has the same problem
Comment 21 koka xiong 2009-05-12 03:22:06 EDT
[bn_IN][Various Signs]

  1. U+09CD ্ 
  2. U+09BC ় 
  3. U+0982 ং 
  4. U+0983 ঃ 
  5. U+0981 ঁ 
has the same problem
Comment 22 koka xiong 2009-05-12 04:07:06 EDT
[gu_IN][Dependent Vowels]
   1. U+0ABE  ા  
   2. U+0ABF િ 
   3. U+0AC0 ી 
   4. U+0AC1 ુ 
   5. U+0AC2 ૂ 
   6. U+0AC3 ૃ 
   7. U+0AC4 ૄ 
   8. U+0AC5 ૅ 
   9. U+0AC7 ે 
  10. U+0AC8 ૈ 
  11. U+0AC9 ૉ 
  12. U+0ACB ો 
  13. U+0ACC ૌ 
has the same problem
Comment 23 koka xiong 2009-05-12 04:08:15 EDT
[gu_IN][Consonants]
 U+0A81  ઁ  
 U+0A82 ં 
 U+0A83 ઃ 
 U+0ACD ્ 
 U+0ABC ઼ 
has the same problem
Comment 24 koka xiong 2009-05-12 04:09:00 EDT
[gu_IN][Dependent Vowels]
   1. U+0ABE  ા  
   2. U+0ABF િ 
   3. U+0AC0 ી 
   4. U+0AC1 ુ 
   5. U+0AC2 ૂ 
   6. U+0AC3 ૃ 
   7. U+0AC4 ૄ 
   8. U+0AC5 ૅ 
   9. U+0AC7 ે 
  10. U+0AC8 ૈ 
  11. U+0AC9 ૉ 
  12. U+0ACB ો 
  13. U+0ACC ૌ 
has the same problem
Comment 25 koka xiong 2009-05-12 04:10:34 EDT
[gu_IN][Various Signs]
   1. U+0A81  ઁ  
   2. U+0A82 ં 
   3. U+0A83 ઃ
   4. U+0ABC ઼ 
   5. U+0ACD ્ 
has the same problem
Comment 26 XinSun 2009-05-18 06:49:43 EDT
[pa_IN][CodePoint][Dependent Vowels]
U+0A3E ਾ
U+0A3F ਿ
U+0A40 ੀ
U+0A41 ੁ
U+0A42 ੂ
U+0A47 ੇ
U+0A48 ੈ
U+0A4B ੋ
U+0A4C ੌ

[pa_IN][CodePoint][Various Sign]
U+0A01 ਁ
U+0A02 ਂ
U+0A03 ਃ
U+0A3C ਼
U+0A4D ੍

[pa_IN][CodePoint][Digit]
U+0A70 ੰ
U+0A71 ੱ

have the same problem.
Comment 27 XinSun 2009-05-18 22:33:09 EDT
[kn_IN][CodePoint]
U+0CBE ಾ  
U+0CBF ಿ 
U+0CC0 ೀ 
U+0CC1 ು 
U+0CC2 ೂ 
U+0CC3 ೃ K
U+0CC4 ೄ 
U+0CC6 ೆ
U+0CC7 ೇ 
U+0CC8 ೈ 
U+0CCA ೊ
U+0CCB ೋ 
U+0CCC ೌ 
U+0C82 ಂ  
U+0C83 ಃ 
U+0CBC  
U+0CCD ್  
U+0CCD ್  
U+0CD5 ೕ 
U+0CD6 ೖ  
have the same problem.
Comment 28 XinSun 2009-05-19 04:34:24 EDT
[Assamese][CodePoint]
U+09BE া
U+09BF ি 
U+09C0 ী 
U+09C1 ু 
U+09C2 ূ 
U+09C3 ৃ 
U+09C7 ে 
U+09C8 ৈ 
U+09CB ো 
U+09CC ৌ 
U+0982 ং
U+0983 ঃ 
U+0981 ঁ 
U+09E2 
U+09E3   
U+09CD ্ 
U+09BC ় 
U+0982 ং 
U+0983 ঃ 
U+0981 ঁ 
have the same problem.
Comment 29 Bug Zapper 2009-11-18 06:56:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 30 Pravin Satpute 2009-11-24 00:33:20 EST
hmm, this bug is still there in rawhide
might be it will get fixed auto with harfbuzz and pango merger
Comment 31 Bug Zapper 2010-03-15 08:36:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 Akira TAGOH 2011-09-09 04:33:26 EDT
No upstream bug for this?
Comment 33 Fedora Admin XMLRPC Client 2012-01-10 10:43:45 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 34 Fedora End Of Life 2013-04-03 14:47:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 35 Fedora Admin XMLRPC Client 2013-05-14 08:13:51 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 36 Fedora End Of Life 2015-01-09 11:12:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 37 Jan Kurik 2015-07-15 11:21:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 38 Satyabrata Maitra 2016-05-30 02:10:00 EDT
Problem still persists in F24 as well.

Note You need to log in before you can comment on or make changes to this bug.